Name:           python-rtkit
Version:        0.6.0
Release:        11%{?dist}
Summary:        A python interface to the Request Tracker API

Group:          Development/Languages
License:        ASL 2.0
URL:            http://z4r.github.io/python-rtkit/
Source0:        http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-setuptools
BuildRequires:  python2-devel

%global _description\
A Python module providing access to the Best Practical Request Tracker (RT)\
REST interface.\


%description %_description

%package -n python2-rtkit
Summary: %summary
Requires:       python2-urllib2_kerberos
%{?python_provide:%python_provide python2-rtkit}

%description -n python2-rtkit %_description

%prep
%setup -q
# Remove bundled egg-info
rm -rf %{name}.egg-info

%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
 

%check
# Tests disabled while missing deps are packaged

%files -n python2-rtkit
%{python2_sitelib}/*
%doc README.rst LICENSE


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.6.0-10
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.0-8
- Python 2 binary package renamed to python2-rtkit
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Nov 13 2013 Tomas Dabasinskas <tomas@redhat.com> - 0.6.0-1
- Updating spec file as per https://bugzilla.redhat.com/show_bug.cgi?id=819687#c21
- Updating spec file as per https://bugzilla.redhat.com/show_bug.cgi?id=819687#c27
- Updating to 0.6.0

* Tue Oct 02 2012 Tomas Dabasinskas <tomas@redhat.com> - 0.2.5-1
- Updating to 0.2.5

* Mon Jul 09 2012 Tomas Dabasinskas <tomas@redhat.com> - 0.2.4-3
- Removed BuildRoot definition from spec file as package is not for el5

* Thu Jul 05 2012 Tomas Dabasinskas <tomas@redhat.com> - 0.2.4-2
- Remvoed clean section from spec as package is not for el5

* Wed Jul 04 2012 Tomas Dabasinskas <tomas@redhat.com> - 0.2.4-1
- Added kerberos authentication
- Including LICENSE file

* Mon Jul 02 2012 Tomas Dabasinskas <tomas@redhat.com> - 0.2.0-2
- Received informal package review feedback from Patrick Uiterwijk
- Fixed spec file to comply with fedora packaging guidelines

* Mon Jun 11 2012 Tomas Dabasinskas <tomas@redhat.com> - 0.2.0-1
- Initial packaging effort

